package it.unisannio.ding.ids.wedroid.app.data.database

import android.content.Context
import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import it.unisannio.ding.ids.wedroid.app.data.dao.BoardDao
import it.unisannio.ding.ids.wedroid.app.data.entity.Board

@Database(entities = [Board::class], version = 1, exportSchema = false)
abstract class BoardDatabase : RoomDatabase() {

    abstract fun boardDao(): BoardDao

    companion object {
        @Volatile
        private var INSTANCE: BoardDatabase? = null

        fun getDatabase(context: Context): BoardDatabase {
            val tempInstance = INSTANCE
            if (tempInstance != null) {
                return tempInstance
            }
            synchronized(this) {
                val instance = Room.databaseBuilder(
                    context.applicationContext,
                    BoardDatabase::class.java,
                    "board_database"
                ).build()
                INSTANCE = instance
                return instance
            }
        }
    }
}