package it.unisannio.ding.ids.wedroid.app.view

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.lifecycle.Observer
import androidx.lifecycle.ViewModelProvider
import androidx.recyclerview.widget.LinearLayoutManager
import it.unisannio.ding.ids.wedroid.app.R
import it.unisannio.ding.ids.wedroid.app.view.adapter.BoardsListAdapter
import it.unisannio.ding.ids.wedroid.app.viewmodel.BoardListViewModel

import kotlinx.android.synthetic.main.activity_boards_lists.*
import kotlinx.android.synthetic.main.content_boards_lists.*

class BoardsListsActivity : AppCompatActivity() {
    private lateinit var viewModel: BoardListViewModel

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_boards_lists)
        setSupportActionBar(toolbar)
        viewModel = ViewModelProvider(this).get(BoardListViewModel::class.java)

        val adapter = BoardsListAdapter(this)
        boardList.adapter = adapter
        boardList.layoutManager = LinearLayoutManager(this)

        viewModel.allBoards.observe(this, Observer {
            it.let { adapter.setBoards(it) }
        })

        fab.setOnClickListener { view ->
            viewModel.insertBoard("New board")
        }
    }

}

