package it.unisannio.ding.ids.wedroid.app.viewmodel

import android.app.Application
import androidx.lifecycle.AndroidViewModel
import androidx.lifecycle.LiveData
import it.unisannio.ding.ids.wedroid.app.util.ServicesFactory
import it.unisannio.ding.ids.wedroid.app.data.database.BoardDatabase
import it.unisannio.ding.ids.wedroid.app.data.entity.Board
import it.unisannio.ding.ids.wedroid.app.data.repository.BoardRepository
import it.unisannio.ding.ids.wedroid.app.util.DumReader

class BoardListViewModel(application: Application) : AndroidViewModel(application) {

    private val repository: BoardRepository = BoardRepository(
        BoardDatabase.getDatabase(application).boardDao(),
        ServicesFactory.boardService,
        DumReader()
    )

    val allBoards: LiveData<List<Board>> = repository.allBoards

    fun insertBoard(title: String) = repository.insertBoard(title)

    fun deleteBoard(id: String) = repository.deleteBoard(id)
}